Index: trunk/data/konvert/postnas_0.5/rlp_demo_nas_konvert.sh
===================================================================
--- trunk/data/konvert/postnas_0.5/rlp_demo_nas_konvert.sh	(revision 49)
+++ trunk/data/konvert/postnas_0.5/rlp_demo_nas_konvert.sh	(revision 53)
@@ -1,15 +1,28 @@
 #!/bin/sh
 # Konvertierung ALKIS NAS-Format nach PostGIS
-# Stand 
+# Datenbank fuer die ALKIS-Demo im Internet
+#
+# Stand:
 #  2010-01-22
 #  2010-01-26  postgreSQL 8.3 auf Port 5432
+#  2010-10-14  gdal 1.8 compile aus svn gdal-trunk
+#  2010-11-08  Nutzungsarten
+#  2010-11-10  Eingebadatei
+#
 # PostNAS 
-#  - Version    0.5 (12.2009)
+#  - Version    0.5 (11.2010)
+#  - gdal       1.8
 #  - GeoInfoDoc 6.0
 # Demo-Daten Rheinland-Pfalz
 # mapserver = 10.0.1.46
-/opt/gdal-1.7/bin/ogr2ogr -f "PostgreSQL" \
-	PG:"dbname=alkis05rlp user=xxxx host=localhost port=5432 password=xxxx" \
+#
+/opt/gdal-1.8/bin/ogr2ogr -f "PostgreSQL" \
+	PG:"dbname=alkis05rlpneu user=b600352 host=localhost port=5432" \
 	-a_srs EPSG:25832  -append \
-	/data/konvert/nas_daten/rlp/gm2566-testdaten-gid60-2008-11-11.xml
+	/data/konvert/nas_daten/rlp/Bestandsdatenauszug-Mustermonzel-06.05.2010.xml
+## alt?
+#	/data/konvert/nas_daten/rlp/gm2566-testdaten-gid60-2008-11-11.xml
 #
+echo "** Optimierte Nutzungsarten neu Laden:"
+psql -p 5432 -d alkis05rlpneu -U b600352 < /data/konvert/postnas_0.5/alkis_nutzungsart_laden.sql
+#
Index: trunk/data/konvert/postnas_0.5/alkis_geom_simplify.sql
===================================================================
--- trunk/data/konvert/postnas_0.5/alkis_geom_simplify.sql	(revision 53)
+++ trunk/data/konvert/postnas_0.5/alkis_geom_simplify.sql	(revision 53)
@@ -0,0 +1,220 @@
+
+-- ----------------------------------------------------------------
+-- Vereinfachung der Geometrie mit der PostGIS-Function ST_Simplify
+-- ----------------------------------------------------------------
+
+-- ALKIS / PostNAS 0.5
+
+-- "Tuning" der Anwendung durch Reduktion der Datenmenge.
+-- "Unnötige" Zwischenpunkte in der Geometrie werden entfernt.
+-- Für die Kartendarstellung hat das keine Qualitätseinbußen, weil die Toleranzwerte 
+-- weit unterhalb der Darstellungsgenauigkeit liegen.
+-- Es kann aber Probleme geben bei Rechenoperationen mit den Flächen weil vorher "genau" übereinander
+-- liegende Geometrien möglicherweise unterschiedlich reduziert werden.
+-- Bei einem Objekt ist ein Zwischenpunkt vielleicht unnötig weil der Umring gerade weiter läuft.
+-- Bei einem anderen Objekt zweigt der Umring aber ab, so das der Punkt nicht entfernt wird.
+-- Dabei kann eine winzige Abweichung entstehen, die bei Verschneidungen zu etwas anderen Ergebnissen führt.
+-- Die Abweichungen sind nur gering aber mathematisch gilt eben:  "0.0 <> 0.000001".
+-- Dies ist bei der Gestaltung von Anwendungen zu berücksichtigen.
+
+
+-- Stand
+
+-- 2010-10-11 
+--  erstmalige Anwendung, Toleranz 2 mm
+
+-- 2010-10-11 
+--  Reduzierung auf 1 mm. Es sollen nur Zwischenpunkte "in der Geraden" entfernt werden.
+--  Der Toleranzwert soll nur die Rundungsungenauigkeiten enthalten.
+--  Es kann Probleme geben bei Verschneidung von Flächen. Die PostGIS-Function "st_intersects"
+--  liefert auch Flächen, die sich am Rand berühren.
+--  Wenn wirklich nur überlappende Flächen gewünscht sind, dann müssen diese mit 
+--     "st_area(st_intersection(a.geom,b.geom)) > 0" 
+--  heraus gefiltert werden.
+--  Nach Anwendung dieses Simplify-Scriptes ist aber 0 nicht mehr 0. Es muss statt dessen mit 
+--  (etwas schwammigen) Grenzwerten gearbeitet werden.
+--  Wenn z.B. die Ergebnis-Fläche sowieso auf eine Nachkommastelle gerundet wird, dann kann als Schwellwert 
+--     "st_area(st_intersection(a.geom,b.geom)) > 0.05" 
+--  verwendet werden. Es werden dann keine Flächen angezeigt, die gerundet als '0.0' angezeigt würden.
+--  Im Zweifelsfall, z.B. wenn mit der Datenbank sehr viele Verschneidungen präzise berechnet werden solllen,
+--  sollte dieses Script nicht verwendet werden.
+
+
+-- 2010-11-10
+--  neue Tabelle "nutzung"
+
+
+-- Mengenanalyse siehe file "alkis_test_simplify.sql".
+
+
+-- Daten im Geometriefeld optimieren:
+
+UPDATE "ap_lpo"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_leitung"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_transportanlage"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_besondereflurstuecksgrenze"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_wald"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_gehoelz"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_fliessgewaesser"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_stehendesgewaesser"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_wohnbauflaeche"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_sportfreizeitunderholungsflaeche"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_landwirtschaft"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_strassenverkehr"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_weg"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_flaechegemischternutzung"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_industrieundgewerbeflaeche"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_flaechebesondererfunktionalerpraegung"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_platz"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_halde"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_bergbaubetrieb"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_tagebaugrubesteinbruch"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_friedhof"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_flugverkehr"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_schiffsverkehr"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_bahnverkehr"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_hafenbecken"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_heide"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_moor"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_sumpf"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_unlandvegetationsloseflaeche"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_besonderegebaeudelinie"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_gebaeude"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_bauteil"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_bauwerkoderanlagefuersportfreizeitunderholung"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_bauwerkimgewaesserbereich"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_turm"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_vorratsbehaelterspeicherbauwerk"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_klassifizierungnachwasserrecht"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_naturumweltoderbodenschutzrecht"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_bewertung"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_klassifizierungnachstrassenrecht"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_schutzzone"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_bodenschaetzung"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_bauraumoderbodenordnungsrecht"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_denkmalschutzrecht"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+UPDATE "ax_anderefestlegungnachwasserrecht"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+
+-- Zusammen gefasste Nutzungarten
+UPDATE "nutzung"
+SET    wkb_geometry = st_simplify(wkb_geometry, 0.001);
+
+
+-- Vaccum der Datenbank ist notwendig um die gewonnen Reduzierung endgueltig zu erschließen.
+
+
+-- Fuer weitere Fortfuehrungen (NBA-Verfahren) einen Trigger einrichten?
+
+-- Function zum Simplifizieren des Geometriefeldes:
+--    CREATE OR REPLACE FUNCTION axsimlify()
+--      RETURNS TRIGGER AS
+--    $$
+--    BEGIN
+--      NEW.wkb_geometry := ST_Simplify(NEW.wkb_geometry, 0.001); -- Toleranz 1 Millimeter
+--      RETURN NEW;
+--    END;
+--    $$
+--    LANGUAGE 'plpgsql';
+
+
+-- fuer alle Tabellen:
+
+--    CREATE TRIGGER axsimplify
+--      BEFORE INSERT ON ax_wohnbauflaeche
+--      FOR EACH ROW EXECUTE PROCEDURE axsimlify();
+
+
+-- weitere. Liste wie oben ....
+
+
+-- END --
Index: trunk/data/konvert/postnas_0.5/alkis_nutzungsart_laden.sql
===================================================================
--- trunk/data/konvert/postnas_0.5/alkis_nutzungsart_laden.sql	(revision 53)
+++ trunk/data/konvert/postnas_0.5/alkis_nutzungsart_laden.sql	(revision 53)
@@ -0,0 +1,228 @@
+
+-- ALKIS PostNAS 0.5
+
+-- ======================================================
+-- Zusammenfassung der Tabellen der tatsÃ€chlichen Nutzung
+-- ======================================================
+
+-- Um bei einer Feature.Info (Welche Nutzung an dieser Stelle?) 
+-- oder einer Verschneidung (Welche Nutzungen auf dem FlurstÃŒck?) 
+-- nicht 26 verschiedene Tabellen abfragen zu mÃŒssen, werden die wichtigsten 
+-- Felder dieser Tabellen zusammen gefasst.
+
+-- Teil 3: Laden der (redundanten) Tabelle "nutzung", notwendig nach jeder FortfÃŒhrung.
+
+-- Stand 
+--  2010-11-10  in Arbeit ... 
+
+
+SET client_encoding = 'UTF-8';
+
+
+-- Tabelle  l e e r e n
+-- --------------------
+DELETE FROM nutzung;
+
+
+-- Tabelle  l a d e n 
+-- --------------------
+
+-- Welche Felder der Ursprungstabellen in die Zielfelder "class" und "info" geladen werden,
+-- wird dokumentiert ÃŒber die Tabelle "nutzung_meta" im Script "alkis_nutzungsart_meta.sql".
+
+
+-- ****  Objektbereich: TatsÃ€chliche Nutzung  ****
+
+-- ** Objektartengruppe: Siedlung **
+
+-- 01 REO: ax_Wohnbauflaeche
+INSERT INTO nutzung (gml_id, nutz_id, class,          info, zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 1,       artderbebauung, null ,zustand, name, null,        wkb_geometry 
+  FROM ax_wohnbauflaeche;
+
+
+-- 02 REO: ax_IndustrieUndGewerbeflaeche
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,    info, zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 2,       funktion, null, zustand, name, null,        wkb_geometry 
+  FROM ax_industrieundgewerbeflaeche;
+
+
+-- 03 REO: ax_Halde
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,    info, zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 3,       lagergut, null, zustand, name, null,        wkb_geometry 
+  FROM ax_halde;
+
+
+-- 04 ax_Bergbaubetrieb
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,    info, zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 4,       abbaugut, null, zustand, name, null,        wkb_geometry 
+  FROM ax_bergbaubetrieb;
+
+
+-- 05 REO: ax_TagebauGrubeSteinbruch
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,    info, zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 5,       abbaugut, null, zustand, name, null,        wkb_geometry 
+  FROM ax_tagebaugrubesteinbruch;
+
+
+-- 06 REO: ax_FlaecheGemischterNutzung
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,    info, zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 6,       funktion, null, zustand, name, null,        wkb_geometry 
+  FROM ax_flaechegemischternutzung;
+
+
+-- 07 REO: ax_FlaecheBesondererFunktionalerPraegung
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,    info,           zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 7,       funktion, artderbebauung, zustand, name, null,        wkb_geometry 
+  FROM ax_flaechebesondererfunktionalerpraegung;
+
+
+-- 08 REO: ax_SportFreizeitUndErholungsflaeche
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,    info, zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 8,       funktion, null, zustand, name, null,        wkb_geometry 
+  FROM ax_sportfreizeitunderholungsflaeche;
+-- weiteres Feld: name char(20)?
+
+
+-- 09 REO: ax_Friedhof
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,    info, zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 9,       funktion, null, zustand, name, null,        wkb_geometry 
+  FROM ax_friedhof;
+
+
+-- ** Objektartengruppe: Verkehr **
+
+-- 10 ax_Strassenverkehr
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,    info,   zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 10,      funktion, null,   zustand, name, zweitname,   wkb_geometry 
+  FROM ax_strassenverkehr;
+
+
+-- 11 ax_Weg
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,    info,  zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 11,      funktion, null,  null,    name, bezeichnung, wkb_geometry 
+  FROM ax_weg;
+
+
+-- 12 ax_Platz
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,    info, zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 12,      funktion, null, null,    name, zweitname,   wkb_geometry 
+  FROM ax_platz;
+
+
+-- 13 ax_Bahnverkehr
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,    info,          zustand, name,        bezeichnung, wkb_geometry)
+  SELECT             gml_id, 13,      funktion, bahnkategorie, zustand, bezeichnung, null,        wkb_geometry 
+  FROM ax_bahnverkehr;
+-- bahnkategorie ist alternativ ein geeignetes class-Feld
+
+
+-- 14 ax_Flugverkehr
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,    info,  zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 14,      art,      null,  zustand, name, bezeichnung, wkb_geometry 
+  FROM ax_flugverkehr;
+
+
+-- 15 ax_Schiffsverkehr
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,    info, zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 15,      funktion, null, zustand, name, null,        wkb_geometry 
+  FROM ax_schiffsverkehr;
+
+
+-- ** Objektartengruppe: Vegetation **
+
+-- 16 ax_Landwirtschaft
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,              info, zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 16,      vegetationsmerkmal, null, null,    name, null,        wkb_geometry 
+  FROM ax_landwirtschaft;
+
+
+-- 17 ax_Wald
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,              info, zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 17,      vegetationsmerkmal, null, null,    name, bezeichnung, wkb_geometry 
+  FROM ax_wald;
+
+
+-- 18 ax_Gehoelz
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,    info,               zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 18,      funktion, vegetationsmerkmal, null,    null, null,        wkb_geometry 
+  FROM ax_gehoelz;
+
+
+-- 19 ax_Heide
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class, info, zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 19,      null,  null, null,    name, null,        wkb_geometry 
+  FROM ax_heide;
+
+
+-- 20 ax_Moor
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class, info, zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 20,      null,  null, null,    name, null,        wkb_geometry 
+  FROM ax_moor;
+
+
+-- 21 ax_Sumpf
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class, info, zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 21,      null,  null, null,    name, null,        wkb_geometry 
+  FROM ax_sumpf;
+
+
+-- 22 ax_UnlandVegetationsloseFlaeche
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,    info,                 zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 22,      funktion, oberflaechenmaterial, null,    name, null,        wkb_geometry 
+  FROM ax_unlandvegetationsloseflaeche;
+
+-- (23 NummerierungslÃŒcke)
+
+-- ** Objektartengruppe: GewÃ€sser **
+
+-- 24 ax_Fliessgewaesser
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,    info, zustand,  name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 24,      funktion, null, zustand,  name, null,        wkb_geometry 
+  FROM ax_fliessgewaesser;
+
+
+-- 25 ax_Hafenbecken
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,    info,    zustand,   name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 25,      funktion, nutzung, null,      name, null,        wkb_geometry 
+  FROM ax_hafenbecken;
+
+
+-- 26 ax_StehendesGewaesser
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,    info, zustand, name, bezeichnung,         wkb_geometry)
+  SELECT             gml_id, 26,      funktion, null, null,    name, gewaesserkennziffer, wkb_geometry 
+  FROM ax_stehendesgewaesser;
+
+
+-- 27 ax_Meer
+-- -------------------------------------
+INSERT INTO nutzung (gml_id, nutz_id, class,    info, zustand, name, bezeichnung, wkb_geometry)
+  SELECT             gml_id, 27,      funktion, null, null,    name, bezeichnung, wkb_geometry 
+  FROM ax_meer;
+
+
+-- END --
